<template name="languageSelectionWrap">
	{{#if searchingLanguages}}
		{{> languageSelection inNavbar=inNavbar}}
	{{else}}
		{{> languageDisplay inNavbar=inNavbar}}
	{{/if}}
</template>

<template name="languageSelection">
	<li class="language-selection {{inNavbarClasses}}">
		<form class="d-flex js-language-selection-form">
			<div class="input-group input-group-sm input-group-outline p-2 mt-2">
				<span class="input-group-text"><span class="fa-solid fa-globe fa-fw"
						  aria-hidden="true"></span></span>
				<input type="text" class="form-control js-language-search"
					   value="{{setLanguage.name}}">
				<input class="d-none" type="submit">
				<button class="btn dropdown-toggle" data-bs-toggle="dropdown" role="button"
						aria-expanded="false" tabindex="-1"></button>
				<ul class="dropdown-menu dropdown-menu-end mx-2" role="menu">
					{{#if languages}}
						<li class="dropdown-header dropdown-legend">
							<div class="dropdown-addon-right">
								{{i18n 'languageSelection.translatedPercent' '% translated'}}
							</div>
							{{i18n 'languageSelection.legend.language' 'Language'}}
						</li>
						{{#each languages}}
							<li>
								<a href="#"
								   class="dropdown-item js-language-link js-nav-dropdown-close"
								   title="{{english}}">
									{{#if currentLanguage}}
										<span class="checkmark fa-solid fa-check"></span>
									{{/if}}
									{{#if translatedPercent}}
										<div class="dropdown-addon-right">
											{{translatedPercent}} %
										</div>
									{{/if}}
									<div class="language-name">
										{{languageNameMarked}}
									</div>
								</a>
							</li>
						{{/each}}
					{{else}}
						<li>
							<a
							   class="dropdown-item">{{i18n 'languageSelection.noLanguagesFound' 'No languages found.'}}</a>
						</li>
					{{/if}}
					{{#if helpLink}}
						<li>
							<hr class="dropdown-divider">
						</li>
						<li>
							<a class="dropdown-item" href="{{helpLink}}" target="_blank">
								{{i18n 'Profile.translate_this_page' 'Help us to translate this Page'}}
							</a>
						</li>
					{{/if}}
				</ul>
			</div>
		</form>
	</li>
</template>

<template name="languageDisplay">
	<li class="{{inNavbarClasses}}">
		<a class="navbar-link js-language-display">
			{{setLanguage.short}}
		</a>
	</li>
</template>
